package com.ruoyi.tdengine.mapper;

import com.ruoyi.tdengine.api.domain.DeviceStatus;

import java.util.List;

/**
 * @Description:TDengine设备状态信息交互接口
 * @ClassName: DeviceStatusMapper
 * @Author  : xins
 * @Date    :2023-09-05  13:20
 * @Version :1.0
 */
public interface DeviceStatusMapper {

    /**
     * @param: deviceStatus
     * @description 获取每天在线设备列表
     * @author xins
     * @date 2023-09-05 11:43
     * @return List<DeviceStatus>
     */
    List<DeviceStatus> getOnlineDevicesGroupByDay(DeviceStatus deviceStatus);
}
